Subject: Fw: MI - Spanish (2015)
From: "Michael B" <[email-masked]>
To: "Ryan Hafer" <[email-masked]>
Date: Fri, 7 Nov 2014 11:05:35 -0500

Thank you,
Michael B
LLPS

From: Jennifer Hahn 
Sent: Friday, November 07, 2014 9:52 AM
To: Michael B 
Subject: Re: MI - Spanish (2015)

Hi Mike.  The other MI Workers Comp LARA--the Form.  Please remind your setter that I have not included the logos on the top.  

On Fri, Nov 7, 2014 at 9:43 AM, Jennifer Hahn <[email-masked]> wrote:

  Hi Mike;  Wow I think I have them all for you.  I will be sending them One at a time as I review them again.  I will on the last email detail the time it took for each and the total hours.  I thins email I will attach the LARA Mich. Workers Comp Rights & Responsibility...it is 2 pages long on my attachemet since it is currently in 12 font and I think origianl is like 6. 

  On Fri, Oct 31, 2014 at 9:47 AM, Michael B <[email-masked]> wrote:

    Hello Jennifer.
    Attached are the 2 documents that will need translation.  Let me know if you have questions.
    Thank you,
    Michael B
    LLPS